# eric4.QScintilla.Lexers.LexerD

Module implementing a D lexer with some additional methods.

### Classes

LexerD | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerD

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerD, Lexer

### Methods

LexerD | Constructor
initProperties | Public slot to initialize the properties.

#### LexerD (Constructor)

LexerD(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerD.initProperties

initProperties()

Public slot to initialize the properties.

Up